SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Apache CXF Vendors:   Apache Software Foundation
Apache CXF Fediz Access Control Flaw in Jetty and Spring Plugins Lets Remote Users Conduct Cross-Site Request Forgery Attacks
SecurityTracker Alert ID:  1038497
SecurityTracker URL:  http://securitytracker.com/id/1038497
CVE Reference:   CVE-2017-7661   (Links to External Site)
Date:  May 16 2017
Impact:   Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in Apache CXF Fediz. A remote user can conduct cross-site request forgery attacks.

A remote user can create a specially crafted HTML page or URL that, when loaded by the target authenticated user, will take actions on the target interface acting as the target user.

The Spring 2, Spring 3, Jetty 8, and Jetty 9 plugins are affected.

The Apache CXF and Tomcat plugins are not affected.

Impact:   A remote user can take actions on the target system acting as the target authenticated user.
Solution:   The vendor has issued a fix (1.2.4, 1.3.2, 1.4.0).

The vendor advisory is available at:

http://cxf.apache.org/security-advisories.data/CVE-2017-7661.txt.asc

Vendor URL:  cxf.apache.org/security-advisories.data/CVE-2017-7661.txt.asc (Links to External Site)
Cause:   Access control error, Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  http://cxf.apache.org/security-advisories.data/CVE-2017-7661.txt.asc

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC